%define oname numpy
%define majver 1
Name: python-module-%oname
Version: %majver.4.0
Release: alt2.svn20090913

Summary: NumPy: array processing for numbers, strings, records, and objects.

License: BSD
Group: Development/Other
Url: http://numeric.scipy.org

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

%setup_python_module %oname

%add_python_req_skip Series f2py_ext f2py_f90_ext gen_ext genapi numpy_distutils
%add_python_req_skip numpyx pyrex_ext swig_ext Array Farray Tensor Vector
%add_python_req_skip code_generators my_module numscons np scipy

# https://bugzilla.altlinux.org/show_bug.cgi?id=18379
%add_python_req_skip Scons

# http://svn.scipy.org/svn/numpy/trunk
Source: %oname-%version.tar.bz2
Source1: %oname.pc

Conflicts: libsyfi-devel < 0.6.1-alt3.hg20090822
Obsoletes: libsyfi-devel < 0.6.1-alt3.hg20090822

BuildPreReq: gcc-fortran libatlas-devel libsuitesparse-devel libX11-devel
BuildPreReq: gdk-pixbuf-devel libgtk+2-devel libfreetype-devel libXft-devel
BuildPreReq: libfftw3-devel python-module-Numeric /usr/bin/wx-config /proc

# Automatically added by buildreq on Mon Dec 01 2008
BuildRequires: liblapack-devel python-module-Pyrex python-modules-compiler
BuildRequires: python-modules-encodings

%description
NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation.

%prep
%setup
install -m644 %SOURCE1 .

%build
sed -i 's|^prefix.*|prefix=%python_sitelibdir/%oname/core|' \
	%oname/core/npymath.ini.in
sed -i 's|^includedir.*|includedir=%_includedir/%oname|' \
	%oname/core/npymath.ini.in
INCS="-I%_includedir/suitesparse"
CFLAGS="-fno-strict-aliasing -DHAVE_EXPM1 -DHAVE_LOG1P $INCS" \
	python setup.py build

%install
%python_install
mv %buildroot%python_sitelibdir/%oname/core/include \
	%buildroot%_prefix
ln -s %_includedir/%oname \
	%buildroot%python_sitelibdir/%oname/core/include
cp -a %oname/numarray/%oname/*.h \
	%buildroot%_includedir/%oname/
cp build/src.*/%oname/core/include/%oname/{*.h,*.c} \
	%buildroot%_includedir/%oname/
install -d %buildroot%python_sitelibdir/%oname/core/lib/npy-pkg-config
cp -fR build/src.*/%oname/core/lib/npy-pkg-config/* \
	%buildroot%python_sitelibdir/%oname/core/lib/npy-pkg-config/

sed -i 's|@VERSION@|%version|' %oname.pc
install -d %buildroot%_pkgconfigdir
install -m644 %oname.pc %buildroot%_pkgconfigdir
ln -s %oname.pc %buildroot%_pkgconfigdir/%oname-%majver.pc

# shared npymath

ar x $(find ./ -name 'libnpymath.a')
gcc -shared *.o -lm \
	-o %buildroot%python_sitelibdir/%oname/core/lib/libnpymath.so

%find_lang %name

%pre
if [ -n %_bindir/f2py ]; then
	rm -f %_bindir/f2py
fi
if [ -d %python_sitelibdir/%oname/core/include ]; then
	rm -fR %python_sitelibdir/%oname/core/include
fi

%files -f %name.lang
%doc COMPATIBILITY LICENSE.txt README.txt THANKS.txt
%_bindir/*
%python_sitelibdir/%oname
%python_sitelibdir/*.egg-info
%_includedir/%oname
%_pkgconfigdir/*

%changelog
* Sun Sep 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt2.svn20090913
- New snapshot

* Tue Sep 08 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt2.svn20090902.1
- Added preinstall deletion of old include directory (ALT #21473)

* Wed Sep 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt2.svn20090902
- Rebuilt with shared libraries of SuiteSparse

* Thu Aug 27 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt2.svn20090827
- New snapshot

* Tue Aug 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt1.svn20090822.2
- Enabled conflict with old syfi

* Tue Aug 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt1.svn20090822.1
- Bootstrap for syfi

* Sat Aug 22 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt1.svn20090822
- New snapshot
- Added pkg-config file

* Fri Jul 31 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.0-alt1.svn20090731.1
- Version 1.4.0
- Made %_bindir/f2py as symbolic link

* Thu Apr 23 2009 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- new version 1.3.0 (with rpmrb script)

* Sun Dec 28 2008 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt2
- remove unneeded buildreqs
- disable scons requires (fix bug #18379)

* Mon Dec 01 2008 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- new version 1.2.1 (with rpmrb script)
- update buildreqs

* Mon Jul 07 2008 Vitaly Lipatov <lav@altlinux.ru> 1.1.0-alt2
- fix unmets

* Sat Jul 05 2008 Vitaly Lipatov <lav@altlinux.ru> 1.1.0-alt1
- new version 1.1.0 (with rpmrb script)
- add rpm-build-compat requires due build_python macros

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1
- new version 1.0.2 (with rpmrb script)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt0.1
- initial build for ALT Linux Sisyphus

